> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hhw31.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists Models

> Lists the currently available models, and provides basic information about each one such as the owner and availability. Check [Models & Pricing](https://api-docs.deepseek.com/quick_start/pricing) for our currently supported models.



## OpenAPI

````yaml get /models
openapi: 3.1.0
info:
  title: DeepSeek API
  description: ''
  version: 1.0.0
servers:
  - url: https://api.deepseek.com/
    description: Prod Env
security: []
paths:
  /models:
    get:
      summary: Lists Models
      description: >-
        Lists the currently available models, and provides basic information
        about each one such as the owner and availability. Check [Models &
        Pricing](https://api-docs.deepseek.com/quick_start/pricing) for our
        currently supported models.
      parameters:
        - name: Authorization
          in: header
          description: ''
          required: true
          example: Bearer {{API_KEY}}
          schema:
            type: string
      responses:
        '200':
          description: OK, return to the model list
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        object:
                          type: string
                        owned_by:
                          type: string
                      required:
                        - id
                        - object
                        - owned_by
                required:
                  - object
                  - data
              example:
                object: list
                data:
                  - id: deepseek-chat
                    object: model
                    owned_by: deepseek
                  - id: deepseek-reasoner
                    object: model
                    owned_by: deepseek
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````